racket (7.9+dfsg1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- David Bremner <bremner@debian.org>  Mon, 04 Jan 2021 13:47:33 -0400

racket (7.9+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Adjust include path in racket-arch.c (thanks to Asumu Takikawa)

 -- David Bremner <bremner@debian.org>  Tue, 08 Dec 2020 20:47:19 -0400

racket (7.8+dfsg1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- David Bremner <bremner@debian.org>  Fri, 14 Aug 2020 11:12:12 -0300

racket (7.8+dfsg1-1) unstable; urgency=medium

  * Update to new upstream version 7.8+dfsg1.

 -- David Bremner <bremner@debian.org>  Mon, 03 Aug 2020 16:48:09 -0300

racket (7.6+dfsg1-3) unstable; urgency=medium

  * Restore upstream commit 17bc6262938f, try a different armhf gmp fix
    from Paulo Matos (upstream commit 392dc33ce)

 -- David Bremner <bremner@debian.org>  Wed, 22 Apr 2020 11:27:27 -0300

racket (7.6+dfsg1-2) unstable; urgency=medium

  * Revert upstream commit 17bc6262938f (Closes: #948789). This might or
    might not re-introduce numerical problems on armhf
    (https://github.com/racket/racket/issues/2773). Reports welcome.
  * Switch to debrebase and (hopefully dgit) for maintenence.

 -- David Bremner <bremner@debian.org>  Wed, 15 Apr 2020 18:56:52 -0300

racket (7.6+dfsg1-1) unstable; urgency=medium

  * New upstream bugfix release
  * Patch from Asumu to enable useprefix (needed for 7.6)

 -- David Bremner <bremner@debian.org>  Fri, 13 Mar 2020 20:58:28 -0300

racket (7.5+dfsg2-1~bpo10+1) UNRELEASED; urgency=medium

  * Rebuild for buster-backports.

 -- David Bremner <bremner@debian.org>  Wed, 08 Jan 2020 07:51:16 -0400

racket (7.5+dfsg2-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Drop openssl patch, upstream now recognizes 1.0.2

 -- David Bremner <bremner@debian.org>  Mon, 30 Dec 2019 17:47:51 -0400

racket (7.2+dfsg1-2) unstable; urgency=medium

  * Upload to unstable.

 -- David Bremner <bremner@debian.org>  Tue, 19 Feb 2019 17:11:01 -0400

racket (7.2+dfsg1-1) experimental; urgency=medium

  * New upstream bugfix release.
  * Bug fix: "Install Package doesn't work in DrRacket", thanks to
    Mike Manilone (Closes: #922444).

 -- David Bremner <bremner@debian.org>  Sat, 16 Feb 2019 20:59:49 -0400

racket (7.1+dfsg1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- David Bremner <bremner@debian.org>  Sun, 23 Dec 2018 17:07:32 +0900

racket (7.0+dfsg2-1) unstable; urgency=medium

  * Major new upstream release
  * Add Recommends: sensible-utils to racket-common (for
    sensible-browser).
  * Drop Build-depends on autotools-dev
  * Drop patches from https://github.com/racket/drracket/issues/191, now
    upstream.
  * Update Vcs-* to point to salsa.debian.org

 -- David Bremner <bremner@debian.org>  Sat, 08 Sep 2018 20:07:32 -0300

racket (6.12+dfsg1-3) unstable; urgency=medium

  * Add two patches from upstream to restore drracket -singleInstance.
    https://github.com/racket/drracket/issues/191

 -- David Bremner <bremner@debian.org>  Sun, 20 May 2018 17:04:14 -0700

racket (6.12+dfsg1-2) unstable; urgency=medium

  * Bug fix: "hostname verification with OpenSSL fails", thanks to
    Benjamin Barenblat (Closes: #877427). Cherry pick upstream pull
    request 2041.

 -- David Bremner <bremner@debian.org>  Tue, 08 May 2018 09:24:44 -0400

racket (6.12+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Install man pages for racket, drracket, and raco
  * drop "Recommends libunique", thanks to Jeremy Bicha (Closes:
    #885816). It seems that -singleInstance is not actually working in
    in 6.11, so no loss of functionality.

 -- David Bremner <bremner@debian.org>  Sun, 11 Mar 2018 09:44:59 -0500

racket (6.11+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Use new logo (thanks to Asumu Takikawa)

 -- David Bremner <bremner@debian.org>  Sat, 23 Dec 2017 15:26:58 -0400

racket (6.10.1+dfsg1-1) unstable; urgency=medium

  * New upstream release    
  * fix changelog for 6.9-1; wrong patch was discussed
  * Assert compliance with policy 4.1.1; no changes.
  * Bump debhelper compat level to 10
  * non-free docs for srfi 5, 29, 32 removed

 -- David Bremner <bremner@debian.org>  Sun, 08 Oct 2017 18:19:53 -0300

racket (6.9-2) unstable; urgency=medium

  * rebuild for unstable

 -- David Bremner <bremner@debian.org>  Thu, 29 Jun 2017 20:27:37 -0300

racket (6.9-1) experimental; urgency=medium

  * New upstream release
  * Remove type-masks patch, now upstream

 -- David Bremner <bremner@debian.org>  Sun, 04 Jun 2017 17:06:39 -0300

racket (6.8-1) experimental; urgency=medium

  * New upstream version
  * Patch libcrypto.rkt to look for openssl 1.1, recommend libssl1.1. Bug
    fix: "Raco fails without libssl-dev", thanks to Martin Tang (Closes:
    #836346).
  * Cherry pick fix for type-masks to fix compilation on 32bit arches.

 -- David Bremner <bremner@debian.org>  Sat, 04 Mar 2017 11:54:04 -0400

racket (6.7-3) unstable; urgency=medium

  * Disable parallel building on 32bit architectures. Racket's parallel
    build currently uses OS threads, so unbounded parallelism hits per
    process address space limitations. (Closes: #860670).

 -- David Bremner <bremner@debian.org>  Sat, 22 Apr 2017 14:26:26 -0300

racket (6.7-2) unstable; urgency=medium

  * Patch libcrypto.rkt to look for openssl 1.1, recommend libssl1.1. Bug
    fix: "Raco fails without libssl-dev", thanks to Martin Tang (Closes:
    #836346).

 -- David Bremner <bremner@debian.org>  Sun, 05 Mar 2017 08:55:03 -0400

racket (6.7-1) unstable; urgency=medium

  * New upstream release
  * Exclude some source files from compression (fix for https://github.com/racket/scribble/issues/57)

 -- David Bremner <bremner@debian.org>  Sat, 29 Oct 2016 09:14:40 -0300

racket (6.6-1) unstable; urgency=medium

  * New upstream release
  * Bug fix: "FTBFS with openssl 1.1.0", thanks to Kurt Roeckx (Closes:
    #828526).

 -- David Bremner <bremner@debian.org>  Fri, 05 Aug 2016 09:04:20 +0900

racket (6.5-1) unstable; urgency=medium

  * New upstream release
  * Bug fix: "Recommends libpng12 which is going away, please switch to
    libpng16", thanks to Mattia Rizzolo (Closes: #823182).
  * update drracket.desktop, remove menu files
  * remove transitional plt-* packages.
  * drop recommends on libjpeg8, thanks to Adam Borowski (Closes: #814866).
  * Bug fix: "Local documentation links to remote instead of local",
    thanks to Diogo Ramos (Closes: #783434).
  * All patches now upstream.

 -- David Bremner <bremner@debian.org>  Mon, 02 May 2016 10:44:33 -0300

racket (6.3-3) unstable; urgency=medium

  * Cherry pick https://github.com/racket/racket/commit/e957a7d.patch as a
    fix for ppc64el build failures

 -- David Bremner <bremner@debian.org>  Fri, 18 Dec 2015 20:24:20 -0400

racket (6.3-2) unstable; urgency=medium

  * expand JIT_BUFFER_PAD_SIZE to work around build failure on armel

 -- David Bremner <bremner@debian.org>  Thu, 17 Dec 2015 22:23:08 -0400

racket (6.3-1) unstable; urgency=medium

  [ James McCoy ]
  * Remove myself from Uploaders.

  [ David Bremner ]
  * New upstream release
  * Re-enable anti-aliasing (#766534 is supposedly fixed)
  * Install more icons (thanks to Asumu Takikawa for the patch)
  * Bug fix: "No mime types defined in drracket.desktop", thanks to
    Frederik Himpe (Closes: #700191).

 -- David Bremner <bremner@debian.org>  Sat, 05 Dec 2015 08:48:11 -0400

racket (6.2-3) unstable; urgency=medium

  * Add recommends needed for proper functioning of DrRacket. These are
    not found by the usual mechanism because they are dynamically loaded.
    Thanks to Asumu Takikawa for the patch.
  * Those using only non-graphical racket can install without
    recommends.

 -- David Bremner <bremner@debian.org>  Wed, 09 Sep 2015 07:14:51 -0300

racket (6.2-2) unstable; urgency=medium

  * Don't strip mred, as this fails almost everywhere

 -- David Bremner <bremner@debian.org>  Sun, 28 Jun 2015 19:50:42 +0200

racket (6.2-1) unstable; urgency=medium

  * New upstream release (Closes: #789758).

 -- David Bremner <bremner@debian.org>  Fri, 26 Jun 2015 16:52:16 +0200

racket (6.1.1-3) unstable; urgency=medium

  * Bug fix: "Application icon does not appear in applications menu",
    thanks to Chris Jester-Young (Closes: #772174).

 -- David Bremner <bremner@debian.org>  Sat, 23 May 2015 08:17:51 +0200

racket (6.1.1-2) unstable; urgency=medium

  * upload to unstable

 -- David Bremner <bremner@debian.org>  Thu, 21 May 2015 22:02:23 +0200

racket (6.1.1-1) experimental; urgency=medium

  * New upstream release

 -- David Bremner <bremner@debian.org>  Wed, 21 Jan 2015 09:32:39 +0100

racket (6.1-4) unstable; urgency=medium

  * Slightly less intrusive anti-anti-aliasing patch: only disable in plot
    output now.

 -- David Bremner <bremner@debian.org>  Fri, 24 Oct 2014 10:36:47 +0200

racket (6.1-3) unstable; urgency=medium

  [ James McCoy ]
  * d/control: Add autotools-dev Build-Depends to let CDBS' config.{sub,guess}
    updating do its work.  (Closes: #765248)
  [ David Bremner ]
  * Disable anti-aliasing in plot and flonum to work around bug
    #766534

 -- David Bremner <bremner@debian.org>  Thu, 23 Oct 2014 23:51:21 +0200

racket (6.1-2) unstable; urgency=medium

  * Add Breaks/Replaces for documentation reorganization.  Thanks to
    Vincent Cheng for the report (Closes: #766011).

 -- David Bremner <bremner@debian.org>  Mon, 20 Oct 2014 11:42:13 +0200

racket (6.1-1) unstable; urgency=medium

  [ James McCoy ]
  * New upstream release  (Closes: #741305)
    + Remove patch pkg/collects-path, merged upstream.
  * d/watch: Remove intermediate racket/ in URL.  Sources have been moved
    directly into versioned directory.  Also remove “-unix” from URL.
  [ David Bremner ]
  * Borrow some changes from Asumu Takikawa to get 6.x packaged.

 -- David Bremner <bremner@debian.org>  Sun, 19 Oct 2014 09:24:21 +0200

racket (5.3.6+dfsg1-1) unstable; urgency=medium

  * New upstream bug fix release

 -- David Bremner <bremner@debian.org>  Wed, 01 Jan 2014 19:48:49 -0400

racket (5.3.4+r2+dfsg1-2) unstable; urgency=low

  * Don't compress .sxref, .sqlite files, fix (help ...) in repl.
    Thanks to Jose Antonio Ortega Ruiz for the report.

 -- David Bremner <bremner@debian.org>  Fri, 10 May 2013 23:25:38 -0300

racket (5.3.4+r2+dfsg1-1) unstable; urgency=low

  * Upstream fix for doc building process

 -- David Bremner <bremner@debian.org>  Fri, 10 May 2013 08:03:36 -0300

racket (5.3.4+dfsg1-1) unstable; urgency=low

  * New upstream version.
  * [racket-doc] Move docs to /usr/share/doc/racket

 -- David Bremner <bremner@debian.org>  Thu, 09 May 2013 08:15:04 -0300

racket (5.3.1+dfsg1-1) unstable; urgency=low

  * New upstream version

 -- James McCoy <jamessan@debian.org>  Fri, 16 Nov 2012 07:38:10 -0500

racket (5.3+dfsg1-1) unstable; urgency=low

  * New upstream version
  * Build debs with xz compression
  * Stop shipping /usr/bin/planet.  (Closes: #680685)

 -- James McCoy <jamessan@debian.org>  Sat, 18 Aug 2012 11:54:36 -0400

racket (5.2.1+g6~92c8784+dfsg2-2) unstable; urgency=low

  * Update description to use Racket in place of scheme (Closes: #679000).
  * Generally reword and streamline description. 
  * Mention R6R6 (Closes: #577816).
  * Update Standards-Version to 3.9.3 (no changes)

 -- David Bremner <bremner@debian.org>  Tue, 26 Jun 2012 20:06:39 -0300

racket (5.2.1+g6~92c8784+dfsg2-1) unstable; urgency=low

  * Add back inadvertantly dropped patches.
  * Re-repack to remove non-dfsg material.

 -- David Bremner <bremner@debian.org>  Tue, 12 Jun 2012 21:01:06 -0300

racket (5.2.1+g6~92c8784+dfsg1-1) unstable; urgency=low

  * Upstream re-release of 5.2.1, with a fix for an "Easter Egg" bug that
    make DrRacket unusable twice a year. See message
    <DF3E772B-EFAA-4818-A8B5-383472B8C9EF@ccs.neu.edu> from
    Matthias Felleisen for more details.

 -- David Bremner <bremner@debian.org>  Mon, 11 Jun 2012 21:12:09 -0300

racket (5.2.1+dfsg1-5) unstable; urgency=low

  * Cherry-pick patches from upstream to use libpng15 when it's available.
  * Lintian cleanups:
    + menu-icon-too-big: Use mini-plt.xpm instead of plt.xpm
    + Remove menu-icon-missing override, cross-binary package checks now work
      in Lintian
  * Use default buildflags.
  * Exclude tests from being installed.

 -- James McCoy <jamessan@debian.org>  Fri, 18 May 2012 08:09:15 -0400

racket (5.2.1+dfsg1-4) unstable; urgency=low

  * Cherry-pick patch from upstream to fix dynamic loading of libjpeg.
  * Move plt-scheme(-doc) to oldlibs/extra

 -- James McCoy <jamessan@debian.org>  Tue, 13 Mar 2012 22:35:06 -0400

racket (5.2.1+dfsg1-3) unstable; urgency=low

  * Change libpng12-dev Build-Depends to libpng-dev to prepare for transition.
    (Closes: #662489)
  * Remove unnecessary quilt Build-Depends.
  * Add racket Recommends to racket-common to satisfy
    missing-dep-for-interpreter.

 -- James McCoy <jamessan@debian.org>  Mon, 05 Mar 2012 22:06:10 -0500

racket (5.2.1+dfsg1-2) unstable; urgency=low

  * Cherry pick patch from upstream to fix FTBFS on architectures where char
    is unsigned by default.  (Closes: #654789, #654827)

 -- James McCoy <jamessan@debian.org>  Sun, 19 Feb 2012 09:26:23 -0500

racket (5.2.1+dfsg1-1) unstable; urgency=low

  * Revert the Architecture limiting in favor of adding ia64 to P-a-s.
  * New upstream version.
    + Update d/copyright for new files in src/racket/lightning

 -- James McCoy <jamessan@debian.org>  Sat, 18 Feb 2012 15:14:59 -0500

racket (5.2+dfsg1-1) unstable; urgency=low

  [ James McCoy ]
  * New upstream version
    + Reimplemented plot libraries.  (Closes: #392598)
  * Pass --enable-noopt to configure when noopt is in DEB_BUILD_OPTIONS
  * Remove powerpc/ppc64 from the "use cgc".  Racket builds fine with 3m on
    powerpc systems and those binaries will run on ppc64-kernel systems.
  * Use 3m for all architectures, as cgc is too problematic.
    + Remove "use cgc" list from debian/rules
    + Remove "Built with the ... garbage collector" from package description
  * Restrict the architectures we build on to, basically, !ia64.
  * Remove Ari Pollak as maintainer, with his permission.

 -- James McCoy <jamessan@debian.org>  Sat, 19 Nov 2011 00:37:34 -0500

racket (5.1.3+dfsg1-1) unstable; urgency=low

  [ James Vega ]
  * New Upstream version
  * Correct the /u/s/d/racket/release-notes symlink. (Closes: #628887)
  * Captialize Scheme in package short descriptions. (Closes: #625276)
  * Build-Depend on libffi-dev to use the system library instead of the
    bundled version.
  * Update Lintian overrides
    + Correct path according for unstripped-binary-or-object
    + Remove obsolete embedded-zlib override
    + Add override for menu-icon-missing, icon is shipped in racket-common
  * Add dversionmangle to watch file to strip dfsg.
  * Bump Standards-Version to 3.9.2.0, no changes needed.
  * Update Vcs-* for the Alioth transition.
  * Restore collects/scribble/sigplan and re-enable building of scribble's
    documentation.  (Closes: #636699)
  * Symlink racket's icons into /usr/share/pixmaps.
  * Install a desktop file for drracket.  (Closes: #513390)

  [ David Bremner ]
  * Use upstream stubs for sigplanconf.cls and jfp.cls, restore 
    collects/scribble/jfp (licensing questions resolved).
  * remove kFreeBSD patches,  now upstream

 -- David Bremner <bremner@debian.org>  Sun, 21 Aug 2011 22:51:49 -0300

racket (5.1.1+dfsg1-3) unstable; urgency=low

  * Replace kFreeBSD signal patch with upstream version of same.

 -- David Bremner <bremner@debian.org>  Mon, 16 May 2011 15:58:45 +0200

racket (5.1.1+dfsg1-2) unstable; urgency=low

  * Collects is (for now) all architecture independant. 
    - Simplify package build (no more symlinking to /usr/lib/racket)
    - Split install step into architecture dependant/independent steps.
  * Patch for kFreeBSD: catch both SIGBUS (squeeze) and SIGSEGV (wheezy)
    from mprotect.
  * Patch: Disable building scribble docs for scribble (fallout from
    missing sigplan class)

 -- David Bremner <bremner@debian.org>  Thu, 12 May 2011 16:37:43 -0300

racket (5.1.1+dfsg1-1) unstable; urgency=low

  * New Upstream version
    - several copyright license clarification patches now upstream, thanks
      again to Eli Barzilay.
  * New patches for kFreeBSD: big thanks to Matthew Flatt.
    - re-enable 3m garbage collector
    - fix various build issues.

 -- David Bremner <bremner@debian.org>  Sat, 30 Apr 2011 08:33:44 -0300

racket (5.1+dfsg1-2) unstable; urgency=low

  * Cherry-pick patch from upstream to fix kFreeBSD build failures
  * Cherry-pick patches from upstream to fail gracefully when SSLv2 is not
    found.

 -- David Bremner <bremner@debian.org>  Mon, 25 Apr 2011 23:15:34 -0300

racket (5.1+dfsg1-1) unstable; urgency=low

  * New upstream version, plus DFSG compliance modifications.  
    + Thanks to Eli Barzilay of the PLT Scheme team for making a big effort
      of contacting people and updating licensing.
  * Build with HOME=/nonexistant. This prevents collects installed in user
    home directories from interfering with the build.
  * Use parallel=n to control collects build parallelism.

 -- David Bremner <bremner@debian.org>  Thu, 31 Mar 2011 19:34:19 -0300

racket (5.0.2-1) experimental; urgency=low

  [ David Bremner ]
  * New Upsteam version (Closes: #592688)
    + Fix FTBFS on mips with recent GCC. (Closes: #598615)

  [ James Vega ]
  * Update watch file with new upstream URL.
  * debian/rules:
    + Show which garbage collector the racket package was built with.
    + Use correct name for mzdyn based on which garbage collector was used.

 -- James Vega <jamessan@debian.org>  Fri, 19 Nov 2010 21:22:13 -0500

plt-scheme (4.2.4-2) unstable; urgency=low

  * Pull patch from upstream to fix building on Sparc.
  * debian/control: Change libjpeg62-dev Build-Depends to libjpeg-dev.
  * debian/rules: Use the Boehm garbage collector on archs where the 3m one
    doesn't work.

 -- James Vega <jamessan@debian.org>  Mon, 15 Feb 2010 08:00:11 -0500

plt-scheme (4.2.4-1) unstable; urgency=low

  [ Ari Pollak ]
  * Convert to 3.0 (quilt) format, no patches necessary yet

  [ James Vega ]
  * New upstream version
  * debian/control:
    - Add myself to Uploaders.
    - Change XS-Vcs-* to Vcs-* and correct a typo in the URLs.
    - Add ${misc:Depends}.
    - Remove description of ProfessorJ.
  * debian/rules:
    - Remove binary-post-install/plt-scheme target since collects/profj
      no longer exists.
    - Add -g to CFLAGS.
  * debian/overrides/plt-scheme: Add an override for the embedded-zlib while
    working with upstream to find a fix they'll agree to.

 -- James Vega <jamessan@debian.org>  Sun, 07 Feb 2010 21:51:09 -0500

plt-scheme (4.2.1-1) unstable; urgency=low

  * New upstream version

 -- Ari Pollak <ari@debian.org>  Mon, 10 Aug 2009 11:29:40 -0400

plt-scheme (4.1.5-1) unstable; urgency=low

  * New upstream version 

 -- Ari Pollak <ari@debian.org>  Sun, 22 Mar 2009 21:55:44 -0400

plt-scheme (4.1.4-1) unstable; urgency=low

  * New upstream version

 -- Ari Pollak <ari@debian.org>  Wed, 21 Jan 2009 08:53:59 -0500

plt-scheme (4.1.3-1) unstable; urgency=low

  * New upstream version

 -- Ari Pollak <ari@debian.org>  Mon, 24 Nov 2008 13:43:11 -0500

plt-scheme (4.1.2-1) unstable; urgency=low

  * New upstream version 

 -- Ari Pollak <ari@debian.org>  Tue, 28 Oct 2008 20:06:59 -0400

plt-scheme (4.1.1-1) unstable; urgency=low

  * Make sure cdbs' and dpkg-buildpackage's CFLAGS and CXXFLAGS aren't passed
    through to configure and make, so we don't get surprising behavior that
    upstream isn't expecting.
  * Update package description from PLT website (Closes: #491636)

 -- Ari Pollak <ari@debian.org>  Sun, 05 Oct 2008 16:45:08 -0400

plt-scheme (4.0.1-2) unstable; urgency=low

  * Rename package to plt-scheme, combining the drscheme and mzscheme
    packages, following advice from upstream (Closes: #488247)
  * Add plt-scheme-doc package
  * Fix the package description, removing references to Rice University

 -- Ari Pollak <ari@debian.org>  Wed, 02 Jul 2008 21:43:32 -0400

drscheme (2:4.0.1-1) unstable; urgency=low

  * New upstream version
  * Update watch file
  * Apply patch from upstream to fix doc paths being hardcoded as the
    temporary package installation directory instead of the configured path
    (Closes: #486513)

 -- Ari Pollak <ari@debian.org>  Tue, 24 Jun 2008 19:01:58 -0400

drscheme (2:4.0-1) unstable; urgency=medium

  * New upstream version
  * Use older memory management on all architectures to be consistent
    (Closes: #473212)
  * Add new epoch since upstream changed versioning scheme
  * Move readline to mzscheme package, and add note in copyright file about it
    (Closes: #460466)
  * Remove obsolete manpages and init script for web-server

 -- Ari Pollak <ari@debian.org>  Sat, 14 Jun 2008 11:17:57 -0400

drscheme (1:372-1) unstable; urgency=low

  [ Artem Baguinski ]
  * New upstream release
  * Removed mzscheme.prerm as mzscheme.postrm does the same thing
  * Don't build with 3m GC on architectures other than i386/amd64,
    since it was causing crashes in mzscheme

  [ Ari Pollak ]
  * Remove Conflicts: slib

 -- Ari Pollak <ari@debian.org>  Fri, 11 Jan 2008 11:31:50 -0500

drscheme (1:371-1) unstable; urgency=low

  [ Artem Baguinski ]
  * New upstream release (Closes: #425539)
  * Removed patches 05_slibinit-fix.patch and 07_slib.patch
    because the upstream got rid of slibinit
  * New collects: combinator-parser and wxme
  * New garbage collector (3m), only enabled on i386/amd64 at the moment
  * Portuguese translation for drscheme's debconf messages.
    Translator: Américo Monteiro <a_monteiro@netcabo.pt>
    (Closes: #435507)
  * Makefile generated by configure doesn't reference EXPORT
    environment variable (Closes: #411900)

  [ Ari Pollak ]
  * Add Artem to Uploaders
  * Update watch file (Closes: #450066)
  * Remove 08_360p1.patch, which wasn't actually applied anyway
  * Add XS-Vcs- fields to control file

 -- Ari Pollak <ari@debian.org>  Mon, 26 Nov 2007 11:00:53 -0500

drscheme (1:360-1) unstable; urgency=low

  * Non-maintainer upload with permission of the semi-maintainer.
  * New upstream version.
  * Bump to Standards-Version 3.7.2.2.
  * Use quilt rather than simple-patchsys to manage patches.
    - Refresh and/or fix patches 00_debian-nonstandard-install.patch,
      01_debian-web-server.patch, 02_alpha-compile-fix.patch,
      06_stack-direction-fix.patch, 07_slib.patch
    - Remove 05_slibinit-fix.patch from series but leave it in
      debian/; it looks like the fix has been incorporated upstream
      but let's just make sure before deleting it.
    - Remove 06_stack-direction-fix.patch from series, it's also
      been applied upstream.
    - Add 08_360p1.patch from upstream to fix a problem with X.
      (Closes: #409197)

 -- Christine Spang <christine@debian.org>  Mon, 07 May 2007 16:38:30 -0400

drscheme (1:352-10) unstable; urgency=low

  * Apply German po-debconf translation update from Matthis Julius
    (Closes: #406148)

 -- Ari Pollak <ari@debian.org>  Wed, 24 Jan 2007 22:43:03 -0500

drscheme (1:352-9) unstable; urgency=low

  * Fix for Spanish debconf translation from Christian Perrier
    (Closes: #403497)

 -- Ari Pollak <ari@debian.org>  Sun, 17 Dec 2006 20:08:18 -0500

drscheme (1:352-8) UNRELEASED; urgency=low

  * Remove James Vega from Uploaders field at his request

 -- Ari Pollak <ari@debian.org>  Mon, 11 Dec 2006 09:13:44 -0500

drscheme (1:352-7) unstable; urgency=low

  * 07_slib.patch:
    - Define slib:features instead of *features* to work with new
      version of slib (Closes: #399926)

 -- Ari Pollak <ari@debian.org>  Sat, 25 Nov 2006 18:21:41 -0500

drscheme (1:352-6) unstable; urgency=medium

  * Fail gracefully if creating /usr/local/lib/plt/collects fails
    (Closes: #392509)

 -- Ari Pollak <ari@debian.org>  Fri, 13 Oct 2006 21:17:57 -0400

drscheme (1:352-5) unstable; urgency=low

  * Fix web-server path in init script (Closes: #386596)
  * Don't include a trailing slash in DESTDIR, which should fix
    modules that use (this-expression-source-directory) such as tex2page.
    Thanks to Soeren D. Schulze for the fix. (Closes: #390753, #386485)

 -- Ari Pollak <ari@debian.org>  Tue,  3 Oct 2006 11:27:13 -0400

drscheme (1:352-4) unstable; urgency=low

  * Fix a forgotten semicolon in 06_stack-direction-fix.patch.
  * Remove an outdated lintian override for readline, since we no longer ship
    it.

 -- Ari Pollak <ari@debian.org>  Mon, 28 Aug 2006 01:25:33 -0400

drscheme (1:352-3) unstable; urgency=low

  [ Ari Pollak ]
  * patches/06_stack-direction-fix.patch:
    - Add patch to fix complation on any architecture where the stack grows up
      instead of down (namely, hppa)

  [ James Vega ]
  * Add debian/watch file.

 -- Ari Pollak <ari@debian.org>  Fri, 25 Aug 2006 21:04:56 -0400

drscheme (1:352-2) unstable; urgency=low

  * Add debian/patches/05_slibinit-fix.patch to fix an
    slib initialization error (Closes: #380702)

 -- Ari Pollak <ari@debian.org>  Mon, 14 Aug 2006 21:40:48 -0400

drscheme (1:352-1) unstable; urgency=low

  [ Ari Pollak ]
  * New upstream release
    - Changes PLT documentation license to LGPL, and updates the license for
      R5RS and SRFIs (Closes: #356124, #356478)
  * Change build-depends on xlibs-data to xbitmaps
  * Fix small spelling mistake in package description (Closes: #363300)
  * Correct debconf web-server question to say http://localhost:8000
    instead of http://localhost
  * Remove old leftover drscheme debconf templates
  * Remove German debconf translation since it hasn't been
    updated in ages

  [ James Vega ]
  * New upstream release
    - Update debian/patches/debian-nonstandard-install.patch to apply against
      src/Makefile.in instead of install.
    - Remove debian/patches/debian-slib.patch, merged upstream.
    - Remove debian/patches/sparc-compile-fix.patch, merged upstream.
    - Remove debian/patches/slatex-bug361027.patch, merged upstream.
  * Rework packaging since upstream is using a saner build system now
    - Remove debian-plt and references to it.
    - Remove the mred and mzscheme wrapper scripts to override PLTCOLLECTS
    - Move debian/{dr,mz}scheme.lintian-override to
      debian/overrides/{dr,mz}scheme and install using dh_install.
  * Override DEB_OPT_FLAGS instead of DEB_CONFIGURE_NORMAL_ARGS to avoid
    having optimizations enabled.  This also causes configure to be properly
    called with the --build option which allows hppa to be built with the
    foreign interface again.

 -- Ari Pollak <ari@debian.org>  Wed, 26 Jul 2006 14:00:52 -0400

drscheme (1:301-15) unstable; urgency=low

  * Build-depend on xlibs-data to fix FTBFS

 -- Ari Pollak <ari@debian.org>  Wed, 12 Apr 2006 10:21:08 -0400

drscheme (1:301-14) unstable; urgency=low

  * Switching to CDBS added -O2 to the compilation flags without
    me realizing, and mzscheme doesn't build properly on alpha & powerpc
    with that. So switch to never using -O2 in CFLAGS & CXXFLAGS.

 -- Ari Pollak <ari@debian.org>  Tue, 11 Apr 2006 23:05:56 -0400

drscheme (1:301-13) unstable; urgency=low

  * Move packaging to cdbs + simple-patchsys
  * Add James Vega to Uploaders list
  * Move libxaw8 back to libxaw7 because libxaw8 is going to be removed
  * debian/patches/list.c-warning-fix.patch:
    - Fix compile warning in src/mzscheme/src/list.c
  * debian/patches/slatex-bug361027.patch:
    - Added to support RequirePackage to start a LaTeX document
      when running slatex. Patch accepted upstream (Closes: #361027)

 -- Ari Pollak <ari@debian.org>  Thu,  6 Apr 2006 15:53:19 -0400

drscheme (1:301-12) unstable; urgency=low

  * Fix a typo in the mzscheme wrapper (Closes: #355337)

 -- Ari Pollak <ari@debian.org>  Sat,  4 Mar 2006 19:58:33 -0500

drscheme (1:301-11) unstable; urgency=low

  * Somehow -10 lost a patch to src/mzscheme/src/Makefile.in that let this
    package actually compile on alpha. Add the patch back.

 -- Ari Pollak <ari@debian.org>  Sat,  4 Mar 2006 01:50:58 -0500

drscheme (1:301-10) unstable; urgency=low

  * Replace mzscheme & mred binaries with very small shell scripts to wrap
    around them and set the PLTCOLLECTS environment variable correctly,
    instead of adding the logic to the drscheme/web-server/etc. wrappers.
    This should fix user-specific collects directories not getting added when
    using drscheme.
  * Move /usr/local/lib/plt/collects creation/removal to postinst/postrm
    instead of including it and its parent directories in the package itself
  * Remove the dependency on libffi-dev and just stop building the foreign
    interface on hppa
  * Remove build-conflicts on libwxxt-dev, it doesn't exist anymore

 -- Ari Pollak <ari@debian.org>  Wed, 22 Feb 2006 22:53:43 -0500

drscheme (1:301-9) unstable; urgency=low

  * Put /usr/lib/plt/include/ back in mzscheme instead of drscheme,
    and update mzscheme's Replaces field appropriately
    (Closes: #352130)

 -- Ari Pollak <ari@debian.org>  Thu,  9 Feb 2006 18:34:38 -0500

drscheme (1:301-8) unstable; urgency=low

  * Remove libssl-dev from mzscheme dependencies; it's no longer needed
    since the openssl module is built during compile-time
  * Update slib conflicts on mzscheme to slib (<< 3a2-5) (Closes: #351655)
  * Add Conflicts: drscheme (<< 301-6) on drscheme package to try to
    fix problem where upgrading to mzscheme/drscheme 301-6 or higher from
    an earlier 301 revision would fail because of the old broken prerm scripts

 -- Ari Pollak <ari@debian.org>  Tue,  7 Feb 2006 13:52:26 -0500

drscheme (1:301-7) unstable; urgency=low

  * running setup-plt during the build process was causing the wrong
    paths to appear in cache.ss, so correct the paths manually in
    the resulting cache.ss file.

 -- Ari Pollak <ari@debian.org>  Sun,  5 Feb 2006 19:03:18 -0500

drscheme (1:301-6) unstable; urgency=low

  * Ugh. Fix a syntax problem in a Makefile-ism that wasn't
    passing the right thing to ./configure and was still causing FTBFS
    on m68k.
  * Restructure build so we don't need an enormous "clean" target in
    debian/rules, and the entire build system is much shorter now.
  * Make the split between drscheme/mzscheme closer to what upstream
    distributes in their plt-scheme/mzscheme binaries.
  * Try to generate compiled .zo files at build-time since it takes a long
    time and doesn't seem to work properly at install-time.
    - This fixes DrScheme slowness and the ProfJ errors (Closes: #351368)
    - This also fixes the slib catalog generation error (Closes: #347595)

 -- Ari Pollak <ari@debian.org>  Sun,  5 Feb 2006 14:09:56 -0500

drscheme (1:301-5) unstable; urgency=low

  * Last try to fix m68k. Apparently FFI_CLOSURES is disabled on m68k,
    so the foreign interface won't build properly there. So just
    pass --disable-foreign to ./configure on m68k.
  * Add TODO.Debian to docs

 -- Ari Pollak <ari@debian.org>  Sat,  4 Feb 2006 12:01:37 -0500

drscheme (1:301-4) unstable; urgency=low

  * Fix a broken check for SunOS/Solaris that happened to cause
    a FTBFS on SPARC.

 -- Ari Pollak <ari@debian.org>  Fri,  3 Feb 2006 23:29:32 -0500

drscheme (1:301-3) unstable; urgency=low

  * Trying again to fix the ffi (foreign) interface on hppa and m68k.
    mzscheme includes its own copy of libffi, so let's try
    building against the system-wide libffi library instead.
  * Remove mzscheme's dependency on libreadline5-dev

 -- Ari Pollak <ari@debian.org>  Sat,  4 Feb 2006 01:27:54 +0000

drscheme (1:301-2) unstable; urgency=low

  * Fix drscheme & mzscheme prerm to properly remove stuff that gets
    created at install-setup-time.
  * Add libffi4-dev to build-depends to hopefully fix a FTBFS on m68k & hppa

 -- Ari Pollak <ari@debian.org>  Thu,  2 Feb 2006 21:07:44 -0500

drscheme (1:301-1) unstable; urgency=low

  * New upstream release
  * Move main mred libraries to drscheme package
  * Change the maintainer to me, since I haven't received anything from
    Stevie lately.
  * Add Vietnamese translation for debconf (Closes: #313580)
  * Add build-depends on libcairo2-dev
  * Switch libxaw7-dev build-depends to libxaw8-dev
  * Stop patching readline support into the source tree because of
    license issues
  * Remove old debian/Makefile.srpersist which was lying around
  * Remove debian/tex2page.1 and install included upstream manpage instead
  * Make /usr/share/doc/drscheme a symlink to /usr/share/doc/mzscheme
  * Add stuff from notes/ in /usr/share/doc/mzscheme
  * src/mred/wxs/Makefile.in, ssrc/wxxt/src/Makefile.in:
    - Explicitly add -I/usr/include/freetype2 to CFLAGS and CXXFLAGS
      so that Xft support will compile, since upstream
      doesn't use pkg-config.

 -- Ari Pollak <ari@debian.org>  Thu, 22 Dec 2005 13:30:25 -0500

drscheme (1:209-9) unstable; urgency=low

  * Start web-server with mzscheme instead of mred (Closes: #344364)

 -- Ari Pollak <ari@debian.org>  Wed, 28 Dec 2005 13:30:12 -0500

drscheme (1:209-8) unstable; urgency=low

  * Don't depend on debconf-utils explicitly, debhelper already depends on it
  * Depend on debconf | debconf-2.0 (Closes: #331807)

 -- Ari Pollak <ari@debian.org>  Tue,  4 Oct 2005 20:24:48 -0400

drscheme (1:209-7) unstable; urgency=low

  * -fPIC was sort of defined in CFLAGS already, but it wasn't being included
     in all Makefiles. Fix invocation of configure to define CFLAGS properly.
     (Closes: #328368)
  * Remove --enable-noopt from configure invocation unless DEB_BUILD_OPTIONS ==
    noopt. I'm not sure why it was there in the first place.
  * Update X build-depends so we don't pull in all of xlibs-dev unnecessarily.

 -- Ari Pollak <ari@debian.org>  Thu, 15 Sep 2005 11:21:40 -0400

drscheme (1:209-6) unstable; urgency=low

  * Apply patch from Andreas Jochens to src/mred/wxme/wx_madm.h to fix
    build on amd64/gcc4 (Closes: #314924)

 -- Ari Pollak <ari@debian.org>  Mon, 20 Jun 2005 11:58:36 -0400

drscheme (1:209-5) unstable; urgency=low

  * Remove Conflicts on drscheme & mzscheme, should completely fix #310645
  * Update mzscheme.prerm to remove files created by setup-plt (in postinst)
    from /usr/lib/plt/bin
    (Closes: #282089)
  * Also, in prerm, don't remove files that are included in the package

 -- Ari Pollak <ari@debian.org>  Wed, 25 May 2005 20:11:02 -0400

drscheme (1:209-4) unstable; urgency=low

  * Clean up debian/control crap (Closes: #310645)
     - Switch "Replaces" for drscheme & mzscheme
     - drscheme:
       - Depend on mzscheme (= ${Source-Version}), don't Pre-depend on it
     - mzscheme:
       - Don't conflict with libc6
       - Don't need to depend on debianutils, it's a required package
       - Don't explicitly depend on libfreetype6, it's detected automatically
  * Remove compiled/ directories inside source tree on clean

 -- Ari Pollak <ari@debian.org>  Tue, 24 May 2005 20:40:32 -0400

drscheme (1:209-3) unstable; urgency=low

  * Well that was dumb. Don't remove all .jinfo files, we need some of them.

 -- Ari Pollak <ari@debian.org>  Mon, 10 Jan 2005 22:54:12 -0500

drscheme (1:209-2) unstable; urgency=low

  * Add support for mips and mipsel architectures in debian/control and
    src/mzscheme/sconfig.h.
  * Also remove all .dep and .jinfo files, and collects/setup/errors

 -- Ari Pollak <ari@debian.org>  Sat,  8 Jan 2005 14:31:19 -0500

drscheme (1:209-1) unstable; urgency=low

  * New upstream release (Closes: #283898)
  * Change Maintainer to Stevie Strickland, who will be taking this
    package over from Brent. Add myself to Uploaders just in case anything
    arises in the meantime.
  * debian/copyright: point to correct location to download DrScheme
      (version-specific), as well as updated copyright info.
  * debian/control: s/libreadline4-dev/libreadline5-dev/ (Closes: #287976)
      Also removed some references to Rice University and replaced them with
      PLT where appropriate
  * debian/rules: rm src/lt/config.log and src/lt/libtool on clean, and remove
      all .libs directories and *.o files
  * collects/readline doesn't seem to be in the upstream tarball (was it
    ever?), so copy the files from the 208 tarball in the collects/readline
    directory.

 -- Ari Pollak <ari@debian.org>  Fri,  7 Jan 2005 16:44:02 -0500

drscheme (1:208-1) unstable; urgency=low

  * New upstream release.
  * Apply Japanese po-file.  (Closes:#276816)
  * Apply Czech po-file.  (Closes:#274070)
  * Apply Dutch po-file.  (Closes:#251240)
  * Add dependency on libssl-dev.  (Closes:#270907)
  * Add 'force-reload' entry to init.d script.  (Closes:#264227)
  * Remove spurious (premature) drscheme/done_installation message in
    Debconf rules.  The message is correctly reported at the end
    of the postinst step.  (Closes:#253444,252074)
  * Closing ancient bug.  Not reproducable.  Has not been reported
    again in a recent build.  (Closes#219713)
  * Use 'nice -10' when building PLT zofiles.  (Closes#242541)

 -- Brent A. Fulgham <bfulgham@debian.org>  Wed, 20 Oct 2004 00:22:53 -0700

drscheme (1:207-3) unstable; urgency=low

  * Use "Replaces" to assist in upgrades.  (Closes:#250371)

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri, 27 Aug 2004 19:21:58 -0700

drscheme (1:207-2) unstable; urgency=low

  * Incorporate Christopher Cheney's amd64 and build daemon fixes.
    (Closes:#249969)

 -- Brent A. Fulgham <bfulgham@debian.org>  Thu, 20 May 2004 00:46:46 -0700

drscheme (1:207-1) unstable; urgency=low

  * New upstream version.
  * Lintian cleanups.
  * To start webserver, make sure /etc/defaults/mzscheme has RUN_HTTPD=Yes
    (the default is RUN_HTTPD=No)

 -- Brent A. Fulgham <bfulgham@debian.org>  Tue, 18 May 2004 23:17:00 -0700

drscheme (1:206p1-5) unstable; urgency=low

  * Remove logging.  (Closes:#244713)

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun,  9 May 2004 15:50:27 -0700

drscheme (1:206p1-4) unstable; urgency=low

  * Include Readme's in both packages.  Oops! (closes:#246719).
  * Clean up some lintian warnings.

 -- Brent A. Fulgham <bfulgham@debian.org>  Thu,  6 May 2004 22:28:22 -0700

drscheme (1:206p1-3) unstable; urgency=low

  * Include pre-built *.zos.  System will rebuild any it needs to after
    install, but this should speed things up.  Note that additional
    output will appear on console until I'm sure this works properly.

 -- Brent A. Fulgham <bfulgham@debian.org>  Thu, 22 Apr 2004 22:35:29 -0700

drscheme (1:206p1-2) unstable; urgency=low

  * SrPersist is no longer included, since it is now released as a PLT from
    the upstream system.  If people are interested, we could probably
    wrap it for Debian in a *.deb.  (Closes:#234560)
  * Remove dependency on libiodbc, since SrPersist is no longer included.
    (Closes:#240573)

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun,  4 Apr 2004 20:55:25 -0700

drscheme (1:206p1-1) unstable; urgency=low

  * Rename to track upstream naming scheme, adding a (bleah) epoch.  (Closes:#232973)
  * Include the _rest_ of Jurij Smakov's Alpha patches (Sorry for the mix-up).
  * Make building of zo files a bit more verbose.  (Closes:#232239)

 -- Brent A. Fulgham <bfulgham@debian.org>  Wed, 18 Feb 2004 21:01:17 -0800

drscheme (206.1-1) unstable; urgency=low

  * Just when I get 206 packaged, they release 206.1!  New upstream release.

 -- Brent A. Fulgham <bfulgham@debian.org>  Tue, 10 Feb 2004 22:47:49 -0800

drscheme (206-3) unstable; urgency=low

  * Conflict with earlier versions to avoid collections problems.
    (Closes:#231792)
  * DrScheme destroys the MzScheme builds so that proper linkage occurs
    between the different collections.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun,  8 Feb 2004 15:18:19 -0800

drscheme (206-2) unstable; urgency=low

  * Incorporated updated Russian translation (thanks to Ilgiz Kalmetev
    <translator@ilgiz.pp.ru> (Closes:#219267).
  * Conflict with slib << 2d4-2.  (Closes:#223058)
  * Move browser, icons, and syntax-color collections into the mzscheme
    package (from DrScheme) so that mzscheme installs properly.
    (Closes:#23125).
  * Added C compiler dependency for MzScheme so that extensions will
    build properly during install.  (Closes:#220785)
  * Correct web server startup script.  (Closes:#219709)
  * Added dependency on libfreetype6.  I hope this will help with bug #219795.
  * Correct path problem in debian-plt.  (Closes:#219795)
  * Re-enabled optimizations in compilation.  Let me know if this bites
    anyone.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat,  7 Feb 2004 23:01:28 -0800

drscheme (206-1) unstable; urgency=low

  * New upstream release.  (Closes:#230185)
  * Incorporated new Brazillian Portuguese translation (thanks to Andre
    Luis Lopes <andrelop@debian.org>.  (Closes:#228100)
  * Incorporated build improvements by Jurij Smakov <jurij@wooyd.org>
    for Alpha architecture.  (Closes:#217239)

 -- Brent A. Fulgham <bfulgham@debian.org>  Tue,  3 Feb 2004 23:44:29 -0800

drscheme (205-6) unstable; urgency=low

  * Remove optimizations, so that all GCC variants will work.
  * Reenable XFT use.

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 13 Oct 2003 19:45:34 -0700

drscheme (205-5) unstable; urgency=low

  * Recompile with working GCC (i.e., gcc-3.2) to avoid compiler bug.
    (Closes:#208762,#208764)
  * Include build dependency on proper PNG and JPEG libraries
    (Closes:#208788)
  * Incorporate Christian Perrier's wonderful po-file conversion.
    Many thanks for that work!  (Closes:#210646,211636)

 -- Brent A. Fulgham <bfulgham@debian.org>  Thu, 25 Sep 2003 23:16:40 -0700

drscheme (205-4) unstable; urgency=low

  * Correct relative path declarations used when compiling srpersist.  Many
    thanks to Ulrik Haugen for his "cargo cult" programming hack :-)
    (Closes:#208451)

 -- Brent A. Fulgham <bfulgham@debian.org>  Wed,  3 Sep 2003 22:38:52 -0700

drscheme (205-3) unstable; urgency=low

  * Just to be totally clear, drscheme and mzscheme both needed to be upgraded
    to fix the problem in 205-1.  So, declaring a versioned dependency.
  * Also, noticed that MrEd had the same libtool issue as MzScheme, so
    fixing that as well.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 30 Aug 2003 22:38:41 -0700

drscheme (205-2) unstable; urgency=low

  * Whoops!  Upstream started using LIBTOOL, and I didn't notice.  Modified
    the installation to handle this.  (Closes:#207716) (Closes:#207823)
    (Closes:#207847)

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 30 Aug 2003 00:19:39 -0700

drscheme (205-1) unstable; urgency=low

  * New upstream release.
  * Correct documentation on setup-plt/debian-plt, since I had to swap the
    uses due to the many places the "real" setup-plt is needed by DrScheme
    and associated tools.  (Closes:#206503).
  * Modify installation scripts so that PLT environment variables are
    overridden with 'official' Debian paths to avoid building user
    PLTCOLLECT directories by accident.  (Closes:#204149).
  * Deactivate Xft support, since the xft2 libraries in Dylan are slightly
    incompatible.  Will rebuild with support once this is worked through.

 -- Brent A. Fulgham <bfulgham@debian.org>  Wed, 27 Aug 2003 22:42:52 -0700

drscheme (204-2) unstable; urgency=low

  * MzScheme now includes support for saving and restoring RNG seed state.
    (Closes:#182514)
  * Relocation stack end error corrected.
    (Closes:#185474)(Closes:#184957)
  * Correct hierlist/doc.txt from DrScheme package (moved to MzScheme)
    by conflicting with improper version of DrScheme. (Closes:#192872)
  * Be less chatty about installation and byte compilation.
    (Closes:#193032)

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 17 May 2003 00:04:28 -0700

drscheme (204-1) unstable; urgency=low

  * New upstream release.
  * Correct hierlist location for MzScheme users (Closes:#191160)

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri,  9 May 2003 23:26:01 -0700

drscheme (203-7) unstable; urgency=low

  * Recompile with 'c' compiler, using modifications per the PLT team.

 -- Brent A. Fulgham <bfulgham@debian.org>  Wed,  5 Mar 2003 22:17:31 -0800

drscheme (203-6) unstable; urgency=low

  * Put "slatex" back in, since Debian has historically distributed
    it with MzScheme.  (Closes:#180926)
  * Recompiled mzscheme 'main' application using g++ to correct problem
    with srpersist.so load failing due to g++ 'personality' conflict.
    (Closes:#180933)

 -- Brent A. Fulgham <bfulgham@debian.org>  Tue, 25 Feb 2003 21:29:59 -0800

drscheme (203-5) unstable; urgency=low

  * Correct path information in setup-plt.  (Closes:#180606)

 -- Brent A. Fulgham <bfulgham@debian.org>  Tue, 11 Feb 2003 22:04:51 -0800

drscheme (203-4) unstable; urgency=low

  * More lintian corrections.
  * For fun, added menu icons.  Whee!

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri,  7 Feb 2003 23:54:55 -0800

drscheme (203-3) unstable; urgency=low

  * Various lintian corrections.
  * Correct handling of slibcat.  (Closes:#170866)

 -- Brent A. Fulgham <bfulgham@debian.org>  Thu,  6 Feb 2003 22:11:43 -0800

drscheme (203-2) unstable; urgency=low

  * Using the PLT tarball has its disadvantages!  It turns out that most
    of the startup scripts were not autogenerated with the Debian paths,
    so they must be hand-edited.  Looks like I *may* have caught this
    before others...

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 20 Jan 2003 16:38:53 -0800

drscheme (203-1) unstable; urgency=low

  * New upstream release (lots of little bug fixes.)
  * HPPA patch is incorporated upstream now.
  * The control file has already been modified to require libreadline4-dev,
    please stop filing bug reports!  (Closes:#176093)
  * Upstream corrected is-color? (Closes:#154424)

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun, 19 Jan 2003 21:17:48 -0800

drscheme (202.3-7) unstable; urgency=low

  * Incorporate a few patches to allow a build under HPPA.
    (Closes:Bug#104880).  Add hppa to the architectures list.
  * Can't recreate fvwm2 behavior.  Probably fixed when DrScheme was
    rewritten for the 200-series.  (Closes:Bug#126161)
  * Don't ship config.cache, config.log, or config.status.
  * Note:  Mark J Ray <markj@cloaked.freeserve.co.uk> has kindly agreed to
    help me out as a co-maintainer.  He should be extended all rights and
    priviledges due, etc. (Hopefully, he will take over the package full
    time, once he gets his Debian Developer's license.  He's much more
    suited for this, being involved in SRFI's and so forth.)

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri,  1 Nov 2002 21:45:49 -0800

drscheme (202.3-6) unstable; urgency=low

  * Conflict with older versions of GLibC -- the GC and dynamic module
    loading fail with the 2.2-series C library.  (Closes:Bug#166213)
  * Previous versions of MzScheme fix this problem.  (Closes:Bug#165811)

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun, 27 Oct 2002 00:25:33 -0700

drscheme (202.3-5) unstable; urgency=low

  * Recompile for new Glibc.  (Closes:Bug#165386)

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri, 18 Oct 2002 20:53:57 -0700

drscheme (202.3-4) unstable; urgency=low

  * Move information about setup-plt/debian-plt to README.Debian.
    (Closes:Bug#164747)
  * Add dependencies on libreadline-dev to MzScheme/DrScheme so that
    setup-plt can properly build the module.(Closes:Bug#163682)
    (Closes:Bug#163285)(Closes:Bug#163285)
  * Don't bother building readline, as it is automatically built.  The
    automatically build binary has the wrong MD5 checksum, and creates
    the appearance of tomfoolery!  (Closes:Bug#163277)
  * Don't ship a copy of hdindex (it get's build automatically, which
    causes MD5 checksum errors.)(Closes:Bug#161731)

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 14 Oct 2002 22:23:17 -0700

drscheme (202.3-3) unstable; urgency=low

  * Remove menu entry for non-existant drscheme-jr.
  * Incorporate readline into build so this is available to users.
    (Hint:  Add (require (lib "rep.ss" "readline") to your ~/.mzschemerc

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun, 29 Sep 2002 23:12:31 -0700

drscheme (202.3-2) unstable; urgency=low

  * Correct building errors for srpersist, so that entire package can be
    built from within the main source tree.  (Closes:Bug#161985)
  * Add some hacks by MJ Ray to (hopefully) support SLIB a bit better.
    We now incorporate the proper SLIB path, and regenerate the slibcat
    file on MzScheme configuration.  (Closes:Bug#100705)
    (Closes:Bug#147940)

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 28 Sep 2002 21:43:51 -0700

drscheme (202.3-1) unstable; urgency=low

  * New upstream release.
  * New tab-panel% class (doesn't work very well -- yet.)

 -- Brent A. Fulgham <bfulgham@debian.org>  Tue, 17 Sep 2002 23:06:53 -0700

drscheme (202.2-3) unstable; urgency=low

  * Add Sparc back into buildable architectures.
  * Teachpacks are updated (Closes:Bug#100514).
  * 200 release series corrects text dialog problem.
    (Closes:Bug#148052)

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 14 Sep 2002 15:20:45 -0700

drscheme (202.2-2) unstable; urgency=low

  * Incorporated long-suffering Russian template patch from Ilgiz Kalmetev
    (sorry Ilgiz!).  (Closes:Bug#137638)
  * Close some obsolete bugs.  Neither occurs under the current 200 series:
    (Closes:Bug#146015) (Closes:Bug#131928)
  * This bug was fixed in the full 200 series release.  (Closes:Bug#151663)
  * So was this one:  (Closes:Bug#89948)

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri, 13 Sep 2002 23:26:57 -0700

drscheme (202.2-1) unstable; urgency=low

  * New upstream.
  * NEW: Structure types whose instances act as procedures.
  * Debian build now comes with SrPersist functionality.
  * Minor correction on the webserver.

 -- Brent A. Fulgham <bfulgham@debian.org>  Tue, 10 Sep 2002 20:46:46 -0700

drscheme (202.1-1) unstable; urgency=low

  * New upstream.
  * New `message-box/custom' function (provides a message-box with the
    proper look'n'feel.
  * Various bug fixes.

 -- Brent A. Fulgham <bfulgham@debian.org>  Thu,  5 Sep 2002 21:14:50 -0700

drscheme (201-1) unstable; urgency=low

  * New upstream.
  * Conflict with earlier versions to avoid install conflicts.
    (Closes:Bug#153899)(Closes:Bug#148051)(Closes:Bug#148050)
    (Closes:Bug#147708)
  * Regenerated documentation system, seems to remove any bad links
    (Closes:Bug#150569)(Closes:Bug#149121)(Closes:Bug#147938)
  * Report indicates bug fixed in earlier release.  (Closes:Bug#145468)

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri, 16 Aug 2002 22:59:11 -0700

drscheme (200.2-3) unstable; urgency=low

  * Correct PLTHOME in drscheme and setup-plt.  These two files are not
    auto-generated, and so were not corrected in the 200.2-2 release.
    (Closes:Bug#153695)(Closes:Bug#153693)(Closes:Bug#154009)
  * Add webserver support as startup option.
  * Moved string-constants collection to mzscheme to correct potential
    build failure.

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 22 Jul 2002 23:31:00 -0700

drscheme (200.2-2) unstable; urgency=low

  * Correct foo in new auto-setup of startup scripts.  An environment variable
    was not properly set, causing bad paths to appear.
  * Fix (Closes:Bug#153693) (Closes:Bug#153695)

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 20 Jul 2002 18:45:15 -0700

drscheme (200.2-1) unstable; urgency=low

  * New upstream release, fixes several bugs in the macro system.
  * Fix to avoid having to recompile *.zo's every time we update.

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 15 Jul 2002 21:38:44 -0700

drscheme (200rel-1) unstable; urgency=high

  * New upstream release -- Stable version.
  * Added symlinks for executables built during the "construct zo's" process.
    (Closes:Bug#150788)
  * Current versions fix an old problem.  (Closes:Bug#148011).
  * Missing dependencies fixed.  (Closes:Bug#149929).

 -- Brent A. Fulgham <bfulgham@debian.org>  Wed, 26 Jun 2002 22:32:57 -0700

drscheme (200alpha21-1) unstable; urgency=low

  * New upstream release.
  * Includes PowerPC fixes.

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 17 Jun 2002 20:10:33 -0700

drscheme (200alpha20-2) unstable; urgency=low

  * Upstream notifed me that the 'Help Desk' issues were due to a set of
    old documentation files in the collections that are not handled by CVS.
  * Updated the doc/help in collections to match 200alpha-series.
    (Closes:Bug#148053).  (Closes:Bug#147936)

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun,  2 Jun 2002 22:53:42 -0700

drscheme (200alpha20-1) unstable; urgency=low

  * Upstream release to correct some bugs.  Will close any Debian bugs
    that apply later.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun,  2 Jun 2002 18:42:51 -0700

drscheme (200alpha19-2) unstable; urgency=low

  * A few minor tweaks based on bug reports.
  * Recompile .zo's on each install due to changing ABI (Closes:Bug#148011)

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri, 24 May 2002 23:29:00 -0700

drscheme (200alpha19-1) unstable; urgency=low

  * Upstream checkpointed again today.  Many minor bugfixes.
  * New function:  'subprocess-kill'
  * Various Lintian corrections.
  * mzscheme-dev has been removed -- this functionality is just part of
    the base mzscheme package since setup-plt requires it for installs.

 -- Brent A. Fulgham <bfulgham@debian.org>  Tue, 21 May 2002 21:30:18 -0700

drscheme (200alpha18-1) unstable; urgency=low

  * New upstream, new maintainer...
  * Use the '-c' option when compiling 'zo's so that all old code gets
    rebuilt to current version.
  * Go ahead and show output of setup-plt so it doesn't look like it
    has hung.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 18 May 2002 00:34:50 -0700

drscheme (200alpha14-1) unstable; urgency=low

  * Convenience build for people interested in trying it out.

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri, 22 Mar 2002 20:44:09 -0800

